Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.syntax
Class TokenException

Constructor Summary
`TokenException(String message, Token token)`
`TokenException(String message, Throwable cause, int line, int column)`

Method Summary
`static int` | `getColumn(Token token)`
`int` | `getEndColumn()`
`static int` | `getLine(Token token)`

Constructor Detail

### TokenException

    public TokenException(String message, Token token)

### TokenException

    public TokenException(String message, Throwable cause, int line, int column)

Method Detail

### getColumn

    static int getColumn(Token token)

### getEndColumn

    public int getEndColumn()

### getLine

    static int getLine(Token token)